# -*- encoding : utf-8 -*-

class Admin::PFournisseurDocTypesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_fournisseur_doc_types = PFournisseurDocType.order(:name).all

  end

  def show
    @p_fournisseur_doc_type = PFournisseurDocType.find(params[:id])

  end

  def new
    @p_fournisseur_doc_type = PFournisseurDocType.new
  
  end

  def edit
    @p_fournisseur_doc_type = PFournisseurDocType.find(params[:id])
    
  end

  def create
    @p_fournisseur_doc_type = PFournisseurDocType.new(params.require(:p_fournisseur_doc_type).permit!)

    if @p_fournisseur_doc_type.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_fournisseur_doc_type = PFournisseurDocType.find(params[:id])


    if @p_fournisseur_doc_type.update_attributes(params.require(:p_fournisseur_doc_type).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_fournisseur_doc_type = PFournisseurDocType.find(params[:id])
    @p_fournisseur_doc_type.destroy
    
  end
end
